My Oracle Support Banner

PDB_PLUG_IN_VIOLATIONS Is Raised Even Though PDB Is Opened At Matching patch Level (Doc ID 2500620.1)

Last updated on JANUARY 29, 2019

Applies to:

Oracle Database - Enterprise Edition - Version 12.2.0.1 and later
Information in this document applies to any platform.

Symptoms

PDB_PLUG_IN_VIOLATIONS error is raised when PDB is plugged in and opened at a database with matching patch level.

Alert.log shows:





 

Changes

This PDB has a history of later PSU being applied and then rolled back.
Following is the sequence of events:

1. RU 12.2.0.1.180116 is applied to multitenant database A and B.
2. RU 12.2.0.1.180417 is applied to multitenant database A only.
3. RU 12.2.0.1.180417 is rolled back from A.
4. Unplug PDB01 from A and plug it into B.
5. Open PDB01 at multitenant database B. -> plugin violation error 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.